Package org.codehaus.janino

# Interface Java.NamedTypeDeclaration

All Superinterfaces:
  `Java.Annotatable`, `Java.Locatable`, `Java.Scope`, `Java.TypeDeclaration`

All Known Subinterfaces:
  `Java.AnnotationTypeDeclaration`, `Java.EnumDeclaration`, `Java.MemberTypeDeclaration`, `Java.PackageMemberTypeDeclaration`

All Known Implementing Classes:
  `Java.InterfaceDeclaration`, `Java.LocalClassDeclaration`, `Java.MemberAnnotationTypeDeclaration`, `Java.MemberClassDeclaration`, `Java.MemberEnumDeclaration`, `Java.MemberInterfaceDeclaration`, `Java.NamedClassDeclaration`, `Java.PackageMemberAnnotationTypeDeclaration`, `Java.PackageMemberClassDeclaration`, `Java.PackageMemberEnumDeclaration`, `Java.PackageMemberInterfaceDeclaration`

Enclosing class:
  `Java`

public static interface Java.NamedTypeDeclaration extends Java.TypeDeclaration
Represents the declaration of a class or an interface that has a name. (All type declarations are named, except for anonymous classes.)

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`Java.TypeParameter[]`
`getOptionalTypeParameters()`

### Methods inherited from interface org.codehaus.janino.Java.Annotatable

`getAnnotations`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

### Methods inherited from interface org.codehaus.janino.Java.Scope

`getEnclosingScope`

### Methods inherited from interface org.codehaus.janino.Java.TypeDeclaration

`accept, createAnonymousClassName, createLocalTypeName, getClassName, getMemberTypeDeclaration, getMemberTypeDeclarations, getMethodDeclaration, getMethodDeclarations`

## Method Details

### getName

String getName()

Returns:
  The declared (not the fully qualified) name of the class or interface

### getOptionalTypeParameters

@Nullable Java.TypeParameter[] getOptionalTypeParameters()

Returns:
  The declared type parameters